<template>
	<p>{{ titulo }}</p>
	<input type="text" v-model="miTexto"/>
	<button v-on:click="cliqueado()">Submit</button>
</template>
<script lang="ts">
import { Options, Vue } from 'vue-class-component';
@Options({
	props: {
	  titulo: String,
	  msj: String
	}
})
export default class Estado extends Vue {
	titulo!: string;
	msj!: string;
	miTexto!: string;
	data() {
		return {
		  miTexto: this.msj
		}
	}
	cliqueado() {
	  console.log(`this.miTexto=${this.miTexto}`);
	}
}
</script>
<style scoped></style>
